Vai al contenuto principale
POST
/
v3
/
enterprise
/
members
/
service-users
/
{service_user_id}
Assegna utente di servizio
curl --request POST \
  --url https://api.devin.ai/v3/enterprise/members/service-users/{service_user_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role_id": "<string>"
}
'
import requests

url = "https://api.devin.ai/v3/enterprise/members/service-users/{service_user_id}"

payload = { "role_id": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({role_id: '<string>'})
};

fetch('https://api.devin.ai/v3/enterprise/members/service-users/{service_user_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "deleted_at": 123,
  "expires_at": 123,
  "name": "<string>",
  "role_assignments": [
    {
      "role": {
        "role_id": "<string>",
        "role_name": "<string>"
      },
      "org_id": "<string>"
    }
  ],
  "service_user_id": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Autorizzazioni

Richiede un utente di servizio con l’autorizzazione ManageAccountMembership a livello Enterprise.

Autorizzazioni

Authorization
string
header
obbligatorio

Credenziale dell'utente del servizio (prefisso: cog_)

Parametri del percorso

service_user_id
string
obbligatorio

ID utente di servizio (prefisso: service-user-)

Esempio:

"service-user-abc123def456"

Corpo

application/json
role_id
string
obbligatorio

Risposta

Operazione riuscita

deleted_at
integer | null
obbligatorio
expires_at
integer | null
obbligatorio
name
string
obbligatorio
role_assignments
RoleAssignment · object[]
obbligatorio
service_user_id
string
obbligatorio